/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\BarrierCrest.cs
Lines of code: 34

Description: 

***********************************************************/





using Server;
using System;

namespace Server.Items
{
	
	public class KnightsCourage : MetalKiteShield
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }
		
		
		public override int BasePhysicalResistance{ get{ return 5; } }
		public override int BaseEnergyResistance{ get{ return 5; } }		

		[Constructable]
		public KnightsCourage() : base()
		{
			Name="Knight's Courage";
			Hue=1324;

			Attributes.AttackChance = 10;
			Attributes.DefendChance = 10;		
			Attributes.BonusHits=10;	
		}
		

		

		public KnightsCourage( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
				
	}
	
}